# $Revision: 1.22 $, $Date: 2009/01/26 09:05:26 $
Summary:	Advanced Linux Sound Architecture - plugins
Summary(pl.UTF-8):	Advanced Linux Sound Architecture - wtyczki
Name:		alsa-plugins
Version:	1.0.19
Release:	1
License:	LGPL v2.1+
Group:		Libraries
Source0:	ftp://ftp.alsa-project.org/pub/plugins/%{name}-%{version}.tar.bz2
# Source0-md5:	29ae9cac05423cf6a49f66eeb1a79eb6
URL:		http://www.alsa-project.org/
BuildRequires:	alsa-lib-devel >= 1.0.18
BuildRequires:	automake
BuildRequires:	dbus-devel >= 0.35
BuildRequires:	ffmpeg-devel >= 0.4.9-4.20080822.1
BuildRequires:	jack-audio-connection-kit-devel >= 0.98
BuildRequires:	libsamplerate-devel
BuildRequires:	pulseaudio-devel >= 0.9.2
BuildRequires:	pkgconfig
BuildRequires:	speex-devel >= 1:1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ALSA plugins.

%description -l pl.UTF-8
Wtyczki ALSA.

%package a52
Summary:	A52 output plugin for ALSA
Summary(pl.UTF-8):	Wtyczka wyjściowa A52 dla systemu ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.18

%description a52
A52 output plugin for ALSA.

%description a52 -l pl.UTF-8
Wtyczka wyjściowa A52 dla systemu ALSA.

%package jack
Summary:	JACK <--> ALSA PCM plugin
Summary(pl.UTF-8):	Wtyczka PCM JACK <--> ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.18
Requires:	jack-audio-connection-kit >= 0.98

%description jack
This plugin converts the ALSA API over JACK (Jack Audio Connection
Kit) API. ALSA native applications can work transparently together
with jackd for both playback and capture.

%description jack -l pl.UTF-8
Ta wtyczka konwertuje API ALSA na API JACK (Jack Audio Connection
Kit). Aplikacje korzystające natywnie z biblioteki ALSA mogą w sposób
przezroczysty działać z jackd zarówno przy odtwarzaniu dźwięku, jak i
nagrywaniu.

%package lavcrate
Summary:	libavcodec-based rate converter plugin for ALSA
Summary(pl.UTF-8):	Wtyczka konwertera tempa dla systemu ALSA oparta na libavcodec
Group:		Libraries
Requires:	alsa-lib >= 1.0.18

%description lavcrate
libavcodec-based rate converter plugin for ALSA.

%description lavcrate -l pl.UTF-8
Wtyczka konwertera tempa dla systemu ALSA oparta na libavcodec.

%package maemo
Summary:	ALSA plugins for Nokia DSP
Summary(pl.UTF-8):	Wtyczki systemu ALSA dla DSP Nokii
Group:		Libraries
Requires:	alsa-lib >= 1.0.18

%description maemo
ALSA plugins for Nokia DSP.

%description maemo -l pl.UTF-8
Wtyczki systemu ALSA dla DSP Nokii.

%package mix
Summary:	Up/down mixing plugins for ALSA
Summary(pl.UTF-8):	Wtyczki up/down-mix dla systemu ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.18

%description mix
Up/down mixing plugins for ALSA.

%description mix -l pl.UTF-8
Wtyczki up/down-mix dla systemu ALSA.

%package oss
Summary:	OSS <--> ALSA plugins
Summary(pl.UTF-8):	Wtyczki OSS <--> ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.18

%description oss
These plugins converts the ALSA API over OSS API. ALSA native
applications can run on OSS drivers.

%description oss -l pl.UTF-8
Te wtyczki konwertują API ALSA na API OSS. Aplikacje korzystające
natywnie z biblioteki ALSA mogą działać na sterownikach OSS.

%package pulse
Summary:	PulseAudio <--> ALSA plugins
Summary(pl.UTF-8):	Wtyczki PulseAudio <--> ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.18
Requires:	pulseaudio-libs >= 0.9.2
Obsoletes:	alsa-plugins-polyp

%description pulse
These plugins allows any program that uses the ALSA API to access a
PulseAudio sound daemon. In other words, native ALSA applications can
play and record sound across a network.

%description pulse -l pl.UTF-8
Te wtyczki umożliwiają dowolnemu programowi korzystającego z API ALSA
dostęp do demona dźwięku PulseAudio. Innymi słowy, aplikacje ALSA mogą
odtwarzać i nagrywać dźwięk poprzez sieć.

%package samplerate
Summary:	libsamplerate-based rate converter plugin for ALSA
Summary(pl.UTF-8):	Wtyczka konwertera tempa dla systemu ALSA oparta na libsamplerate
Group:		Libraries
Requires:	alsa-lib >= 1.0.18

%description samplerate
libsamplerate-based rate converter plugin for ALSA.

%description samplerate -l pl.UTF-8
Wtyczka konwertera tempa dla systemu ALSA oparta na libsamplerate.

%package speexrate
Summary:	speex-based rate converter plugin for ALSA
Summary(pl.UTF-8):	Wtyczka konwertera tempa dla systemu ALSA oparta na bibliotece speex
License:	BSD
Group:		Libraries
Requires:	alsa-lib >= 1.0.18
Requires:	speex >= 1:1.2

%description speexrate
speex-based rate converter plugin for ALSA.

%description speexrate -l pl.UTF-8
Wtyczka konwertera tempa dla systemu ALSA oparta na bibliotece speex.

%package usb_stream
Summary:	usb_stream PCM I/O plugin for ALSA
Summary(pl.UTF-8):	Wtyczka wejścia-wyjścia PCM usb_stream dla systemu ALSA
Group:		Libraries
Requires:	alsa-lib >= 1.0.18

%description usb_stream
usb_stream PCM I/O plugin for ALSA.

%description usb_stream -l pl.UTF-8
Wtyczka wejścia-wyjścia PCM usb_stream dla systemu ALSA.

%prep
%setup -q

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--enable-maemo-plugin \
	--enable-maemo-resource-manager \
	--with-speex=lib

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_libdir}/alsa-lib/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%files a52
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_a52.so

%files jack
%defattr(644,root,root,755)
%doc doc/README-jack
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_jack.so

%files lavcrate
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_lavcrate.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_lavcrate_fast.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_lavcrate_faster.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_lavcrate_high.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_lavcrate_higher.so

%files maemo
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_ctl_dsp_ctl.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_alsa_dsp.so

%files mix
%defattr(644,root,root,755)
%doc doc/{upmix,vdownmix}.txt
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_upmix.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_vdownmix.so

%files oss
%defattr(644,root,root,755)
%doc doc/README-pcm-oss
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_ctl_oss.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_oss.so

%files pulse
%defattr(644,root,root,755)
%doc doc/README-pulse
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_conf_pulse.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_ctl_pulse.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_pulse.so

%files samplerate
%defattr(644,root,root,755)
%doc doc/samplerate.txt
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_samplerate.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_samplerate_best.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_samplerate_linear.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_samplerate_medium.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_samplerate_order.so

%files speexrate
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_speexrate.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_speexrate_best.so
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_rate_speexrate_medium.so

%files usb_stream
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/alsa-lib/libasound_module_pcm_usb_stream.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: alsa-plugins.spec,v $
Revision 1.22  2009/01/26 09:05:26  adamg
- updated to 1.0.19

Revision 1.21  2008/11/05 20:37:32  qboosh
- updated to 1.0.18
- removed obsolete ffmpeg patch
- new usb_stream PCM plugin

Revision 1.20  2008/10/14 06:14:24  arekm
- release 4

Revision 1.19  2008/10/13 18:32:48  duddits
- rel. 3

Revision 1.18  2008/10/13 18:03:13  qboosh
- ffmpeg version for new include paths

Revision 1.17  2008/10/13 11:51:27  sls
- added ffmpeg.patch

Revision 1.16  2008/10/06 06:29:32  hawk
- release 2

Revision 1.15  2008/07/16 04:50:22  qboosh
- package conf_pulse module

Revision 1.14  2008/07/14 19:39:26  twittner
- up to 1.0.17

Revision 1.13  2008/02/11 23:41:46  qboosh
- updated to 1.0.16

Revision 1.12  2007-10-22 21:34:27  arekm
- up to 1.0.15

Revision 1.11  2007/06/12 06:37:20  qboosh
- updated to 1.0.14

Revision 1.10  2007/02/12 21:23:46  glen
- tabs in preamble

Revision 1.9  2007/02/12 00:48:36  baggins
- converted to UTF-8

Revision 1.8  2006/12/08 17:26:37  glen
- rel 2

Revision 1.7  2006/10/04 21:29:59  qboosh
- updated to 1.0.13

Revision 1.6  2006/09/06 06:32:46  hawk
- more polyp->pulse (R: pulseaudio-libs in pulse subpackage,
  s/polypaudio/pulseaudio in descriptions)
- release 2

Revision 1.5  2006/08/26 18:52:35  qboosh
- updated to 1.0.12
- polyp->pulse (switched from polypaudio to pulseaudio following upstream)

Revision 1.4  2006/06/12 16:52:39  hawk
- release 2

Revision 1.3  2006/04/23 13:34:06  qboosh
- updated to 1.0.11

Revision 1.2  2005/11/19 16:49:54  qboosh
- no ldconfig

Revision 1.1  2005/11/19 16:44:20  qboosh
- new
